Showroom Mobile Banking - Enhancement #14177

Branch Locator
18 August 2022 09:48 AM - Hoo Dextor

Status: Pending SIT Start date: 18 August 2022
Priority: Normal Due date:

Assignee: See Liang Lim % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

Create 1 menu under the Card Management - Branch Locator
after user click, will show the branch locator info, refer to the detail from:
https://www.hlf.com.sg/locate-us/index.php

Don't need the google map, just take the branch info and put into json.
Responsive web, this will apply to both mobile and web

History

#1 - 24 August 2022 12:19 PM - yonqi yonqi
- Status changed from Assigned to Resolved

- Assignee changed from yongqi yongqi to Hoo Dextor

Revision: 218637

Author: yongqi

Date: Tuesday, August 23, 2022 9:43:33 AM
Message:

yongi - Enhancement #14177 Branch Locator (mb)

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/app-routing.module.ts
Added : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.actions
s

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.effects.
ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.html
Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.model.
ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.modul
e.ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.reduce
rts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.scss
Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.service
s

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.ts
Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/home/side-menu.html
Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/home/side-menu.ts
Modified : /Showroom/02_BaseProjects/BASEQ00/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/constants.ts
Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/network/sl-web-se
rvice.service.ts

Added :
https://www.hlf.com.sg/locate-us/index.php
https://dev.silverlakemobility.com/redmine/issues/14177

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/cc_mib_ws/api/v1i/ribms/getBranc
hLocatorList.json
Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/i18n/en.json

Revision: 218672

Author: yongqi

Date: Wednesday, August 24, 2022 10:30:12 AM
Message:

yongi - Enhancement #14177 Branch Locator (IB)

Added : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.action
s.ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.effect
s.ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.html
Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.model
s

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.modul
ets

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.reduc
er.ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.scss
Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.servic
e.ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.ts
Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/layout/ant-design-side-layout/ant-de
sign-side-layout-routing.module.ts

Modified :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web.constants.ts

Added :
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getBr
anchLocatorList.json

Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/leftMenu.json
Modified : /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json
https://dev.silverlakemobility.com/redmine/issues/14177

#2 - 16 November 2022 09:43 PM - Megat AhmadSalehudin
- Status changed from Resolved to Pending SIT

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.0.8 SIT
